%define		subver	pre2
#
Summary:	Text-based addressbook program for mutt
Summary(pl.UTF-8):	Tekstowa książka adresowa dla klienta pocztowego mutt
Name:		abook
Version:	0.6.0
Release:	0.%{subver}.2
License:	GPL v2+
Group:		Applications/Mail
Source0:	http://abook.sourceforge.net/devel/%{name}-%{version}%{subver}.tar.gz
# Source0-md5:	1e4a7210b3507db7b3d47ee7a2457934
Patch0:		%{name}-tinfo_link.patch
Patch1:		%{name}-vcard_import.patch
Patch2:		%{name}-ea5caf0.patch
URL:		http://abook.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Abook is a text-based addressbook program designed to use with mutt
mail client.

%description -l pl.UTF-8
Abook to pracująca w trybie tekstowym książka adresowa zaprojektowana
do użycia z programem pocztowym mutt.

%prep
%setup -q -n %{name}-%{version}%{subver}
%patch0
%patch1 -p1
%patch2 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README THANKS TODO
%attr(755,root,root) %{_bindir}/abook
%{_mandir}/man1/abook.1*
%{_mandir}/man5/abookrc.5*
%changelog
* Thu Mar 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/abook.git;a=log;h=master

* Thu Mar 14 2013 Paweł Gołaszewski <blues@pld-linux.org> 27e1dfc
- rel.2

* Thu Mar 14 2013 Paweł Gołaszewski <blues@pld-linux.org> 36e75d8
- ea5caf0 patch from git

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 437ffe4
- macro for "pre2": s/_rel/subver/

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 7d277ba
- more verbose files
- GPL version

* Tue Oct 19 2010 Jan Palus <jan.palus@gmail.com> 8995710
- add vcard import patch to cvs

* Tue Oct 19 2010 Jan Palus <jan.palus@gmail.com> f067d77
- up to 0.6.0pre2
- fix linking with tinfow
- add vCard import patch
- 0.5.6-01_editor patch applied upstream

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 26f9b78
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e5ea3ea
- converted to UTF-8

* Sat Nov 11 2006 piotrek <piotrek@pld-linux.org> f455aac
- added official patch for segfault in editor

* Sat Oct 28 2006 Jakub Bogusz <qboosh@pld-linux.org> d570820
- gettextize (to fix build with recent gettext)

* Sat Oct 28 2006 piotrek <piotrek@pld-linux.org> 90cfe3e
- updated to 0.5.6

* Sun Dec 25 2005 darekr <darekr@pld-linux.org> 380eb3f
- updated to 0.5.5, added %find_lang

* Sun Dec 25 2005 darekr <darekr@pld-linux.org> 9302602
- updated for 0.5.5

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 0725ec9
- readline 5.0

* Mon Sep 05 2005 Adam Gołębiowski <adamg@pld-linux.org> 95250e5
- updated to 0.5.4
- -etc_dir.patch replaced with -home_etc.patch

* Wed Mar 23 2005 Elan Ruusamäe <glen@pld-linux.org> 324a856
- dropped SourceX-size

* Wed Oct 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 5526a94
- removed redundant cp (automake does it), call autoheader

* Wed Oct 20 2004 darekr <darekr@pld-linux.org> 62ab2f6
- updated to 0.5.3

* Fri Sep 10 2004 undefine <undefine@pld-linux.org> 8ba02a3
- release 3 for AC

* Tue Aug 10 2004 averne <averne@pld-linux.org> 2fde428
- refresh config.sub

